<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractRetentionInfoHistoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.sunxung.factoring.entity.purchcontractmanagement.PurchContractRetentionInfoHistory">
        <result column="id" property="id" />
        <result column="user_create" property="userCreate" />
        <result column="user_modified" property="userModified" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="is_retention" property="isRetention" />
        <result column="retention_percent" property="retentionPercent" />
        <result column="is_limit" property="isLimit" />
        <result column="retention_limit" property="retentionLimit" />
        <result column="release_method" property="releaseMethod" />
        <result column="release_date" property="releaseDate" />
        <result column="release_days" property="releaseDays" />
        <result column="purch_contract_basic_info_id" property="purchContractBasicInfoId" />
    </resultMap>

</mapper>
